Bug 440661 - kernel post or pre install scripts crash
kernel post or pre install scripts crash
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
: 446431 456823 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 09:03 EDT by Matteo Corti
Modified: 2008-12-02 03:46 EST (History)
8 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matteo Corti 2008-04-04 09:03:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13

Description of problem:
Memory corruption error during kernel upgrade

Version-Release number of selected component (if applicable):
kernel-2.6.24.4-64.fc8

How reproducible:
Always


Steps to Reproduce:
1. rpm -e kernel-2.6.24.4-64.fc8 (be sure to have another kernel :-)
2. yum upgrade kernel


Actual Results:
Loading "fastestmirror" plugin

Loading mirror speeds from cached hostfile

 * atrpms: dl.atrpms.net

 * unl-stable: apt.unl.edu

 * macromedia: macromedia.rediris.es

 * livna: ftp-stud.fht-esslingen.de

 * google: dl.google.com

 * openafs: dl.openafs.org

 * dell-software: linux.dell.com

 * fedora: mirror.fraunhofer.de

 * dribble-special: dribble.org.uk

 * adobe-linux-i386: linuxdownload.adobe.com

 * atrpms-source: dl.atrpms.net

 * ethz: yum.id.ethz.ch

 * freshrpms: ftp.de2.freshrpms.net

 * livna-source: ftp-stud.fht-esslingen.de

 * dribble: dribble.org.uk

 * dribble-source: dribble.org.uk

 * updates: mirror.fraunhofer.de

atrpms                    100% |=========================|  951 B    00:00     

unl-stable                100% |=========================|  951 B    00:00     

macromedia                100% |=========================| 1.9 kB    00:00     

livna                     100% |=========================| 2.1 kB    00:00     

google                    100% |=========================|  951 B    00:00     

openafs                   100% |=========================|  951 B    00:00     

dell-software             100% |=========================| 1.9 kB    00:00     

fedora                    100% |=========================| 2.1 kB    00:00     

Excluding Packages from Fedora 8 - i386 - ATrpms

Finished

Excluding Packages from Livna for Fedora Core 8 - i386 - Base

Finished

Excluding Packages from Fedora 8 - i386 - ATrpms

Finished

Setting up Upgrade Process

Resolving Dependencies

--> Running transaction check

---> Package kernel.i586 0:2.6.24.4-64.fc8 set to be installed

--> Finished Dependency Resolution



Dependencies Resolved



=============================================================================

 Package                 Arch       Version          Repository        Size 

=============================================================================

Installing:

 kernel                  i586       2.6.24.4-64.fc8  updates            17 M



Transaction Summary

=============================================================================

Install      1 Package(s)         

Update       0 Package(s)         

Remove       0 Package(s)         



Total download size: 17 M

Is this ok [y/N]: y

Downloading Packages:

(1/1): kernel-2.6.24.4-64 100% |=========================|  17 MB    00:11     

Running rpm_check_debug

Running Transaction Test

Finished Transaction Test

Transaction Test Succeeded

Running Transaction

  Installing: kernel                       ######################### [1/1] 

*** glibc detected *** /sbin/nash: malloc(): memory corruption: 0x0963cba0 ***

======= Backtrace: =========

/lib/libc.so.6[0x4462a4]

/lib/libc.so.6(__libc_malloc+0x82)[0x447c32]

/lib/libc.so.6(__strdup+0x30)[0x44bfc0]

/usr/lib/libnash.so.6.0.19[0x5a7279]

/usr/lib/libbdevid.so.6.0.19[0x5b225a]

/lib/libglib-2.0.so.0(g_ptr_array_foreach+0x39)[0x29f699]

/usr/lib/libbdevid.so.6.0.19[0x5b2361]

/lib/libglib-2.0.so.0(g_hash_table_foreach+0x56)[0x2b0f76]

/usr/lib/libbdevid.so.6.0.19(bdevid_probe+0xfa)[0x5b2461]

/usr/lib/libnash.so.6.0.19(probe_bdevid+0xbf)[0x5a758a]

/usr/lib/libnash.so.6.0.19(nash_vitals_probe+0x130)[0x5a7944]

/usr/lib/libnash.so.6.0.19[0x5a3753]

/usr/lib/libnash.so.6.0.19[0x5a3905]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_process_bdev+0xd4)[0x5a245f]

/usr/lib/libnash.so.6.0.19[0x5a278e]

/usr/lib/libnash.so.6.0.19[0x5a2902]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_add_sysfs_dir+0x48)[0x5a26c4]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_populate_from_sysfs+0x27)[0x5a29a9]

/usr/lib/libnash.so.6.0.19(nashBdevIterNewPoll+0x74)[0x59dd6b]

/usr/lib/libnash.so.6.0.19[0x59e0e2]

/usr/lib/libnash.so.6.0.19(nashFindFsByLabel+0x2e)[0x59e2a4]

/usr/lib/libnash.so.6.0.19(nashAGetPathBySpec+0x69)[0x59e42a]

/sbin/nash[0x804eea6]

/sbin/nash[0x8052fb2]

/sbin/nash[0x80536c3]

/lib/libc.so.6(__libc_start_main+0xe0)[0x3f1390]

/sbin/nash[0x804ae61]

======= Memory map: ========

00110000-00111000 r-xp 00110000 00:00 0          [vdso]

00111000-00187000 r-xp 00000000 08:01 50401777   /usr/lib/libdhcp4client-3.0.6.so.0

00187000-0018c000 rwxp 00075000 08:01 50401777   /usr/lib/libdhcp4client-3.0.6.so.0

0018c000-00196000 rwxp 0018c000 00:00 0 

00196000-00199000 r-xp 00000000 08:01 24215583   /lib/bdevid/scsi.so

00199000-0019a000 rwxp 00003000 08:01 24215583   /lib/bdevid/scsi.so

0019a000-0019c000 r-xp 00000000 08:01 24216448   /lib/bdevid/ata.so

0019c000-0019d000 rwxp 00002000 08:01 24216448   /lib/bdevid/ata.so

0019d000-0019f000 r-xp 00000000 08:01 24215584   /lib/bdevid/usb.so

0019f000-001a0000 rwxp 00002000 08:01 24215584   /lib/bdevid/usb.so

00291000-0035b000 r-xp 00000000 08:01 24215673   /lib/libglib-2.0.so.0.1400.6

0035b000-0035c000 rwxp 000ca000 08:01 24215673   /lib/libglib-2.0.so.0.1400.6

003bc000-003d7000 r-xp 00000000 08:01 24215570   /lib/ld-2.7.so

003d7000-003d8000 r-xp 0001a000 08:01 24215570   /lib/ld-2.7.so

003d8000-003d9000 rwxp 0001b000 08:01 24215570   /lib/ld-2.7.so

003db000-00532000 r-xp 00000000 08:01 24215579   /lib/libc-2.7.so

00532000-00534000 r-xp 00156000 08:01 24215579   /lib/libc-2.7.so

00534000-00535000 rwxp 00158000 08:01 24215579   /lib/libc-2.7.so

00535000-00538000 rwxp 00535000 00:00 0 

0053a000-00561000 r-xp 00000000 08:01 24215580   /lib/libm-2.7.so

00561000-00562000 r-xp 00026000 08:01 24215580   /lib/libm-2.7.so

00562000-00563000 rwxp 00027000 08:01 24215580   /lib/libm-2.7.so

00565000-00568000 r-xp 00000000 08:01 24215581   /lib/libdl-2.7.so

00568000-00569000 r-xp 00002000 08:01 24215581   /lib/libdl-2.7.so

00569000-0056a000 rwxp 00003000 08:01 24215581   /lib/libdl-2.7.so

0056c000-0057e000 r-xp 00000000 08:01 24215590   /lib/libz.so.1.2.3

0057e000-0057f000 rwxp 00011000 08:01 24215590   /lib/libz.so.1.2.3

00581000-00584000 r-xp 00000000 08:01 24215684   /lib/libuuid.so.1.2

00584000-00585000 rwxp 00002000 08:01 24215684   /lib/libuuid.so.1.2

00587000-00590000 r-xp 00000000 08:01 24215592   /lib/libblkid.so.1.0

00590000-00591000 rwxp 00008000 08:01 24215592   /lib/libblkid.so.1.0

00593000-005ac000 r-xp 00000000 08:01 50401709   /usr/lib/libnash.so.6.0.19

005ac000-005ad000 rwxp 00019000 08:01 50401709   /usr/lib/libnash.so.6.0.19

005ad000-005ae000 rwxp 005ad000 00:00 0 

005b0000-005b3000 r-xp 00000000 08:01 50399937   /usr/lib/libbdevid.so.6.0.19

005b3000-005b4000 rwxp 00003000 08:01 50399937   /usr/lib/libbdevid.so.6.0.19

005c0000-005cb000 r-xp 00000000 08:01 24215586   /lib/libgcc_s-4.1.2-20070925.so.1

005cb000-005cc000 rwxp 0000a000 08:01 24215586   /lib/libgcc_s-4.1.2-20070925.so.1

005ce000-00634000 r-xp 00000000 08:01 50399649   /usr/lib/libparted-1.8.so.6.0.0

00634000-00636000 rwxp 00065000 08:01 50399649   /usr/lib/libparted-1.8.so.6.0.0

00636000-00637000 rwxp 00636000 00:00 0 

00639000-00684000 r-xp 00000000 08:01 50398859   /usr/lib/libnl.so.1.1

00684000-00687000 rwxp 0004b000 08:01 50398859   /usr/lib/libnl.so.1.1

00689000-0069f000 r-xp 00000000 08:01 50401520   /usr/lib/libdhcp.so.1

0069f000-006a0000 rwxp 00nash received SIGABRT!  Backtrace (31):

/sbin/nash[0x805314a]

[0x110440]

/lib/libc.so.6(abort+0x101)[0x406301]

/lib/libc.so.6[0x43d97b]

/lib/libc.so.6[0x4462a4]

/lib/libc.so.6(__libc_malloc+0x82)[0x447c32]

/lib/libc.so.6(__strdup+0x30)[0x44bfc0]

/usr/lib/libnash.so.6.0.19[0x5a7279]

/usr/lib/libbdevid.so.6.0.19[0x5b225a]

/lib/libglib-2.0.so.0(g_ptr_array_foreach+0x39)[0x29f699]

/usr/lib/libbdevid.so.6.0.19[0x5b2361]

/lib/libglib-2.0.so.0(g_hash_table_foreach+0x56)[0x2b0f76]

/usr/lib/libbdevid.so.6.0.19(bdevid_probe+0xfa)[0x5b2461]

/usr/lib/libnash.so.6.0.19(probe_bdevid+0xbf)[0x5a758a]

/usr/lib/libnash.so.6.0.19(nash_vitals_probe+0x130)[0x5a7944]

/usr/lib/libnash.so.6.0.19[0x5a3753]

/usr/lib/libnash.so.6.0.19[0x5a3905]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_process_bdev+0xd4)[0x5a245f]

/usr/lib/libnash.so.6.0.19[0x5a278e]

/usr/lib/libnash.so.6.0.19[0x5a2902]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_add_sysfs_dir+0x48)[0x5a26c4]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_populate_from_sysfs+0x27)[0x5a29a9]

/usr/lib/libnash.so.6.0.19(nashBdevIterNewPoll+0x74)[0x59dd6b]

/usr/lib/libnash.so.6.0.19[0x59e0e2]

/usr/lib/libnash.so.6.0.19(nashFindFsByLabel+0x2e)[0x59e2a4]

/usr/lib/libnash.so.6.0.19(nashAGetPathBySpec+0x69)[0x59e42a]

/sbin/nash[0x804eea6]

/sbin/nash[0x8052fb2]

/sbin/nash[0x80536c3]

/lib/libc.so.6(__libc_start_main+0xe0)[0x3f1390]

/sbin/nash[0x804ae61]

*** glibc detected *** /sbin/nash: malloc(): memory corruption: 0x08e9fba0 ***

======= Backtrace: =========

/lib/libc.so.6[0x4462a4]

/lib/libc.so.6(__libc_malloc+0x82)[0x447c32]

/lib/libc.so.6(__strdup+0x30)[0x44bfc0]

/usr/lib/libnash.so.6.0.19[0x5a7279]

/usr/lib/libbdevid.so.6.0.19[0x5b225a]

/lib/libglib-2.0.so.0(g_ptr_array_foreach+0x39)[0x29f699]

/usr/lib/libbdevid.so.6.0.19[0x5b2361]

/lib/libglib-2.0.so.0(g_hash_table_foreach+0x56)[0x2b0f76]

/usr/lib/libbdevid.so.6.0.19(bdevid_probe+0xfa)[0x5b2461]

/usr/lib/libnash.so.6.0.19(probe_bdevid+0xbf)[0x5a758a]

/usr/lib/libnash.so.6.0.19(nash_vitals_probe+0x130)[0x5a7944]

/usr/lib/libnash.so.6.0.19[0x5a3753]

/usr/lib/libnash.so.6.0.19[0x5a3905]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_process_bdev+0xd4)[0x5a245f]

/usr/lib/libnash.so.6.0.19[0x5a278e]

/usr/lib/libnash.so.6.0.19[0x5a2902]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_add_sysfs_dir+0x48)[0x5a26c4]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_populate_from_sysfs+0x27)[0x5a29a9]

/usr/lib/libnash.so.6.0.19(nashBdevIterNewPoll+0x74)[0x59dd6b]

/usr/lib/libnash.so.6.0.19[0x59e0e2]

/usr/lib/libnash.so.6.0.19(nashFindFsByLabel+0x2e)[0x59e2a4]

/usr/lib/libnash.so.6.0.19(nashAGetPathBySpec+0x69)[0x59e42a]

/sbin/nash[0x804eea6]

/sbin/nash[0x8052fb2]

/sbin/nash[0x80536c3]

/lib/libc.so.6(__libc_start_main+0xe0)[0x3f1390]

/sbin/nash[0x804ae61]

======= Memory map: ========

00110000-00111000 r-xp 00110000 00:00 0          [vdso]

00111000-00187000 r-xp 00000000 08:01 50401777   /usr/lib/libdhcp4client-3.0.6.so.0

00187000-0018c000 rwxp 00075000 08:01 50401777   /usr/lib/libdhcp4client-3.0.6.so.0

0018c000-00196000 rwxp 0018c000 00:00 0 

00196000-00199000 r-xp 00000000 08:01 24215583   /lib/bdevid/scsi.so

00199000-0019a000 rwxp 00003000 08:01 24215583   /lib/bdevid/scsi.so

0019a000-0019c000 r-xp 00000000 08:01 24216448   /lib/bdevid/ata.so

0019c000-0019d000 rwxp 00002000 08:01 24216448   /lib/bdevid/ata.so

0019d000-0019f000 r-xp 00000000 08:01 24215584   /lib/bdevid/usb.so

0019f000-001a0000 rwxp 00002000 08:01 24215584   /lib/bdevid/usb.so

00291000-0035b000 r-xp 00000000 08:01 24215673   /lib/libglib-2.0.so.0.1400.6

0035b000-0035c000 rwxp 000ca000 08:01 24215673   /lib/libglib-2.0.so.0.1400.6

003bc000-003d7000 r-xp 00000000 08:01 24215570   /lib/ld-2.7.so

003d7000-003d8000 r-xp 0001a000 08:01 24215570   /lib/ld-2.7.so

003d8000-003d9000 rwxp 0001b000 08:01 24215570   /lib/ld-2.7.so

003db000-00532000 r-xp 00000000 08:01 24215579   /lib/libc-2.7.so

00532000-00534000 r-xp 00156000 08:01 24215579   /lib/libc-2.7.so

00534000-00535000 rwxp 00158000 08:01 24215579   /lib/libc-2.7.so

00535000-00538000 rwxp 00535000 00:00 0 

0053a000-00561000 r-xp 00000000 08:01 24215580   /lib/libm-2.7.so

00561000-00562000 r-xp 00026000 08:01 24215580   /lib/libm-2.7.so

00562000-00563000 rwxp 00027000 08:01 24215580   /lib/libm-2.7.so

00565000-00568000 r-xp 00000000 08:01 24215581   /lib/libdl-2.7.so

00568000-00569000 r-xp 00002000 08:01 24215581   /lib/libdl-2.7.so

00569000-0056a000 rwxp 00003000 08:01 24215581   /lib/libdl-2.7.so

0056c000-0057e000 r-xp 00000000 08:01 24215590   /lib/libz.so.1.2.3

0057e000-0057f000 rwxp 00011000 08:01 24215590   /lib/libz.so.1.2.3

00581000-00584000 r-xp 00000000 08:01 24215684   /lib/libuuid.so.1.2

00584000-00585000 rwxp 00002000 08:01 24215684   /lib/libuuid.so.1.2

00587000-00590000 r-xp 00000000 08:01 24215592   /lib/libblkid.so.1.0

00590000-00591000 rwxp 00008000 08:01 24215592   /lib/libblkid.so.1.0

00593000-005ac000 r-xp 00000000 08:01 50401709   /usr/lib/libnash.so.6.0.19

005ac000-005ad000 rwxp 00019000 08:01 50401709   /usr/lib/libnash.so.6.0.19

005ad000-005ae000 rwxp 005ad000 00:00 0 

005b0000-005b3000 r-xp 00000000 08:01 50399937   /usr/lib/libbdevid.so.6.0.19

005b3000-005b4000 rwxp 00003000 08:01 50399937   /usr/lib/libbdevid.so.6.0.19

005c0000-005cb000 r-xp 00000000 08:01 24215586   /lib/libgcc_s-4.1.2-20070925.so.1

005cb000-005cc000 rwxp 0000a000 08:01 24215586   /lib/libgcc_s-4.1.2-20070925.so.1

005ce000-00634000 r-xp 00000000 08:01 50399649   /usr/lib/libparted-1.8.so.6.0.0

00634000-00636000 rwxp 00065000 08:01 50399649   /usr/lib/libparted-1.8.so.6.0.0

00636000-00637000 rwxp 00636000 00:00 0 

00639000-00684000 r-xp 00000000 08:01 50398859   /usr/lib/libnl.so.1.1

00684000-00687000 rwxp 0004b000 08:01 50398859   /usr/lib/libnl.so.1.1

00689000-0069f000 r-xp 00000000 08:01 50401520   /usr/lib/libdhcp.so.1

0069f000-006a0000 rwxp 00015000 08:01 50401520   /usr/lib/libdhcp.so.1

006a0000-006a1000 rwxp 006a0000 00:00 0 

006a7000-006d0000 r-xp 00000000 08:01 50405421   /usr/lib/libdhcp6client-0.10.so.0

006d0000-006d1000 rwxp 00028000 08:01 50405421   /usr/lib/libdhcp6client-0.10.so.0

006d1000-006d4000 rwxp 006d1000 00:00 0 

006f3000-006fb000 r-xp 00000000 08:01 24215658   /lib/libpopt.so.0.0.0

006fb000-006fc000 rwxp 00007000 08:01 24215658   /lib/libpopt.so.0.0.0

0072a000-00761000 r-xp 00000000 08:01 24215662   /lib/libsepol.so.1

00761000-00762000 rwxp 00036000 08:01 24215662   /lib/libsepol.so.1

00783000-00797000 r-xp 00000000 08:01 24215588   /lib/libdevmapper.so.1.02

00797000-00799000 rwxp 00013000 08:01 24215588   /lib/libdevmapper.so.1.02

007e5000-007f5000 r-xp 00000000 08:01 24215596   /lib/libresolv-2.7.so

007f5000-007f6000 r-xp 00010000 08:01 24215596   /lib/libresolv-2.7.so

007f6000-007f7000 rwxp 00011000 08:01 24215596   /lib/libresolv-2.7.so

007f7000-007f9000 rwxp 007f7000 00:00 0 

008e8000-00a0f000 r-xp 00000000 08:01 24215599   /lib/libcrypto.so.0.9.8b

00a0f000-00a21000 rwxp 00127000 08:01 24215599   /lib/libcrypto.so.0.9.8b

00a21000-00a24000 rwxp 00a21000 00:00 0 

00a76000-00a8f000 r-xp 00000000 08:01 24215574   /lib/libselinux.so.1

00a8f000-00a91000 rwxp 00018000 08:01 24215574   /lib/libselinux.so.1

08048000-0805b000 r-xp 00000000 08:01 14254215   /sbin/nash

0805b000-0805d000 rw-p 00013000 08:01 14254215   /sbin/nash

08e9b000-08ebc000 rw-p 08e9b000 00:00 0 

b7e00000-b7e21000 rw-p b7e00000 00:00 0 

b7e21000-b7f00000 ---p b7e21000 00:00 0 

b7fad000-b7fb3000 rw-p b7fad000 00:00 0 

bfd39000-bfd4e000 rw-p bffea000 00:00 0          [stack]

nash received SIGABRT!  Backtrace (31):

/sbin/nash[0x805314a]

[0x110440]

/lib/libc.so.6(abort+0x101)[0x406301]

/lib/libc.so.6[0x43d97b]

/lib/libc.so.6[0x4462a4]

/lib/libc.so.6(__libc_malloc+0x82)[0x447c32]

/lib/libc.so.6(__strdup+0x30)[0x44bfc0]

/usr/lib/libnash.so.6.0.19[0x5a7279]

/usr/lib/libbdevid.so.6.0.19[0x5b225a]

/lib/libglib-2.0.so.0(g_ptr_array_foreach+0x39)[0x29f699]

/usr/lib/libbdevid.so.6.0.19[0x5b2361]

/lib/libglib-2.0.so.0(g_hash_table_foreach+0x56)[0x2b0f76]

/usr/lib/libbdevid.so.6.0.19(bdevid_probe+0xfa)[0x5b2461]

/usr/lib/libnash.so.6.0.19(probe_bdevid+0xbf)[0x5a758a]

/usr/lib/libnash.so.6.0.19(nash_vitals_probe+0x130)[0x5a7944]

/usr/lib/libnash.so.6.0.19[0x5a3753]

/usr/lib/libnash.so.6.0.19[0x5a3905]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_process_bdev+0xd4)[0x5a245f]

/usr/lib/libnash.so.6.0.19[0x5a278e]

/usr/lib/libnash.so.6.0.19[0x5a2902]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_add_sysfs_dir+0x48)[0x5a26c4]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_populate_from_sysfs+0x27)[0x5a29a9]

/usr/lib/libnash.so.6.0.19(nashBdevIterNewPoll+0x74)[0x59dd6b]

/usr/lib/libnash.so.6.0.19[0x59e0e2]

/usr/lib/libnash.so.6.0.19(nashFindFsByLabel+0x2e)[0x59e2a4]

/usr/lib/libnash.so.6.0.19(nashAGetPathBySpec+0x69)[0x59e42a]

/sbin/nash[0x804eea6]

/sbin/nash[0x8052fb2]

/sbin/nash[0x80536c3]

/lib/libc.so.6(__libc_start_main+0xe0)[0x3f1390]

/sbin/nash[0x804ae61]

*** glibc detected *** /sbin/grubby: malloc(): memory corruption: 0x09006af8 ***

======= Backtrace: =========

/lib/libc.so.6[0x4462a4]

/lib/libc.so.6(__libc_malloc+0x82)[0x447c32]

/lib/libc.so.6(__strdup+0x30)[0x44bfc0]

/usr/lib/libnash.so.6.0.19[0x5a7279]

/usr/lib/libbdevid.so.6.0.19[0x5b225a]

/lib/libglib-2.0.so.0(g_ptr_array_foreach+0x39)[0x29f699]

/usr/lib/libbdevid.so.6.0.19[0x5b2361]

/lib/libglib-2.0.so.0(g_hash_table_foreach+0x56)[0x2b0f76]

/usr/lib/libbdevid.so.6.0.19(bdevid_probe+0xfa)[0x5b2461]

/usr/lib/libnash.so.6.0.19(probe_bdevid+0xbf)[0x5a758a]

/usr/lib/libnash.so.6.0.19(nash_vitals_probe+0x130)[0x5a7944]

/usr/lib/libnash.so.6.0.19[0x5a3753]

/usr/lib/libnash.so.6.0.19[0x5a3905]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_process_bdev+0xd4)[0x5a245f]

/usr/lib/libnash.so.6.0.19[0x5a278e]

/usr/lib/libnash.so.6.0.19[0x5a2902]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_add_sysfs_dir+0x48)[0x5a26c4]

/usr/lib/libnash.so.6.0.19(nash_dev_tree_populate_from_sysfs+0x27)[0x5a29a9]

/usr/lib/libnash.so.6.0.19(nashBdevIterNewPoll+0x74)[0x59dd6b]

/usr/lib/libnash.so.6.0.19[0x59e0e2]

/usr/lib/libnash.so.6.0.19(nashFindFsByLabel+0x2e)[0x59e2a4]

/usr/lib/libnash.so.6.0.19(nashAGetPathBySpec+0x69)[0x59e42a]

/sbin/grubby[0x804c4fc]

/sbin/grubby[0x804c742]

/sbin/grubby[0x804ee09]

/lib/libc.so.6(__libc_start_main+0xe0)[0x3f1390]

/sbin/grubby[0x80492b1]

======= Memory map: ========

00110000-00111000 r-xp 00110000 00:00 0          [vdso]

00111000-00187000 r-xp 00000000 08:01 50401777   /usr/lib/libdhcp4client-3.0.6.so.0

00187000-0018c000 rwxp 00075000 08:01 50401777   /usr/lib/libdhcp4client-3.0.6.so.0

0018c000-00196000 rwxp 0018c000 00:00 0 

00196000-00199000 r-xp 00000000 08:01 24215583   /lib/bdevid/scsi.so

00199000-0019a000 rwxp 00003000 08:01 24215583   /lib/bdevid/scsi.so

0019a000-0019c000 r-xp 00000000 08:01 24216448   /lib/bdevid/ata.so

0019c000-0019d000 rwxp 00002000 08:01 24216448   /lib/bdevid/ata.so

0019d000-0019f000 r-xp 00000000 08:01 24215584   /lib/bdevid/usb.so

0019f000-001a0000 rwxp 00002000 08:01 24215584   /lib/bdevid/usb.so

00291000-0035b000 r-xp 00000000 08:01 24215673   /lib/libglib-2.0.so.0.1400.6

0035b000-0035c000 rwxp 000ca000 08:01 24215673   /lib/libglib-2.0.so.0.1400.6

003bc000-003d7000 r-xp 00000000 08:01 24215570   /lib/ld-2.7.so

003d7000-003d8000 r-xp 0001a000 08:01 24215570   /lib/ld-2.7.so

003d8000-003d9000 rwxp 0001b000 08:01 24215570   /lib/ld-2.7.so

003db000-00532000 r-xp 00000000 08:01 24215579   /lib/libc-2.7.so

00532000-00534000 r-xp 00156000 08:01 24215579   /lib/libc-2.7.so

00534000-00535000 rwxp 00158000 08:01 24215579   /lib/libc-2.7.so

00535000-00538000 rwxp 00535000 00:00 0 

0053a000-00561000 r-xp 00000000 08:01 24215580   /lib/libm-2.7.so

00561000-00562000 r-xp 00026000 08:01 24215580   /lib/libm-2.7.so

00562000-00563000 rwxp 00027000 08:01 24215580   /lib/libm-2.7.so

00565000-00568000 r-xp 00000000 08:01 24215581   /lib/libdl-2.7.so

00568000-00569000 r-xp 00002000 08:01 24215581   /lib/libdl-2.7.so

00569000-0056a000 rwxp 00003000 08:01 24215581   /lib/libdl-2.7.so

0056c000-0057e000 r-xp 00000000 08:01 24215590   /lib/libz.so.1.2.3

0057e000-0057f000 rwxp 00011000 08:01 24215590   /lib/libz.so.1.2.3

00581000-00584000 r-xp 00000000 08:01 24215684   /lib/libuuid.so.1.2

00584000-00585000 rwxp 00002000 08:01 24215684   /lib/libuuid.so.1.2

00587000-00590000 r-xp 00000000 08:01 24215592   /lib/libblkid.so.1.0

00590000-00591000 rwxp 00008000 08:01 24215592   /lib/libblkid.so.1.0

00593000-005ac000 r-xp 00000000 08:01 50401709   /usr/lib/libnash.so.6.0.19

005ac000-005ad000 rwxp 00019000 08:01 50401709   /usr/lib/libnash.so.6.0.19

005ad000-005ae000 rwxp 005ad000 00:00 0 

005b0000-005b3000 r-xp 00000000 08:01 50399937   /usr/lib/libbdevid.so.6.0.19

005b3000-005b4000 rwxp 00003000 08:01 50399937   /usr/lib/libbdevid.so.6.0.19

005c0000-005cb000 r-xp 00000000 08:01 24215586   /lib/libgcc_s-4.1.2-20070925.so.1

005cb000-005cc000 rwxp 0000a000 08:01 24215586   /lib/libgcc_s-4.1.2-20070925.so.1

005ce000-00634000 r-xp 00000000 08:01 50399649   /usr/lib/libparted-1.8.so.6.0.0

00634000-00636000 rwxp 00065000 08:01 50399649   /usr/lib/libparted-1.8.so.6.0.0

00636000-00637000 rwxp 00636000 00:00 0 

00639000-00684000 r-xp 00000000 08:01 50398859   /usr/lib/libnl.so.1.1

00684000-00687000 rwxp 0004b000 08:01 50398859   /usr/lib/libnl.so.1.1

00689000-0069f000 r-xp 00000000 08:01 50401520   /usr/lib/libdhcp.so.1

0069f000-006a0000 rwxp 00015000 08:01 50401520   /usr/lib/libdhcp.so.1

006a0000-006a1000 rwxp 006a0000 00:00 0 

006a7000-006d0000 r-xp 00000000 08:01 50405421   /usr/lib/libdhcp6client-0.10.so.0

006d0000-006d1000 rwxp 00028000 08:01 50405421   /usr/lib/libdhcp6client-0.10.so.0

006d1000-006d4000 rwxp 006d1000 00:00 0 

006f3000-006fb000 r-xp 00000000 08:01 24215658   /lib/libpopt.so.0.0.0

006fb000-006fc000 rwxp 00007000 08:01 24215658   /lib/libpopt.so.0.0.0

0072a000-00761000 r-xp 00000000 08:01 24215662   /lib/libsepol.so.1

00761000-00762000 rwxp 00036000 08:01 24215662   /lib/libsepol.so.1

00783000-00797000 r-xp 00000000 08:01 24215588   /lib/libdevmapper.so.1.02

00797000-00799000 rwxp 00013000 08:01 24215588   /lib/libdevmapper.so.1.02

007e5000-007f5000 r-xp 00000000 08:01 24215596   /lib/libresolv-2.7.so

007f5000-007f6000 r-xp 00010000 08:01 24215596   /lib/libresolv-2.7.so

007f6000-007f7000 rwxp 00011000 08:01 24215596   /lib/libresolv-2.7.so

007f7000-007f9000 rwxp 007f7000 00:00 0 

008e8000-00a0f000 r-xp 00000000 08:01 24215599   /lib/libcrypto.so.0.9.8b

00a0f000-00a21000 rwxp 00127000 08:01 24215599   /lib/libcrypto.so.0.9.8b

00a21000-00a24000 rwxp 00a21000 00:00 0 

00a76000-00a8f000 r-xp 00000000 08:01 24215574   /lib/libselinux.so.1

00a8f000-00a91000 rwxp 00018000 08:01 24215574   /lib/libselinux.so.1

08048000-08051000 r-xp 00000000 08:01 14254246   /sbin/grubby

08051000-08052000 rw-p 00009000 08:01 14254246   /sbin/grubby

09001000-09022000 rw-p 09001000 00:00 0 

b7d00000-b7d21000 rw-p b7d00000 00:00 0 

b7d21000-b7e00000 ---p b7d21000 00:00 0 

b7eec000-b7ef2000 rw-p b7eec000 00:00 0 

bfcd1000-bfce6000 rw-p bffea000 00:00 0          [stack]

/sbin/new-kernel-pkg: line 90:  6056 Aborted                 $grubby --add-kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default $makedefault --title "$title" ${mbkernel:+--add-multiboot="$mbkernel"} ${mbargs:+--mbargs="$mbargs"} --args="root=$rootdevice $kernargs" --remove-kernel="TITLE=$title"



Installed: kernel.i586 0:2.6.24.4-64.fc8

Complete!



Expected Results:
No errors

Additional info:
grub is not updated but the files are there
Comment 1 Matteo Corti 2008-05-05 08:19:11 EDT
The same happens with kernel-2.6.24.5-85.fc8
Comment 2 Matteo Corti 2008-05-05 09:46:26 EDT
I found a workaround: unmounting all USB external drives and removing
usb_storage (rmmod usb_storage) nash does not crash.

Since the machine giving the problem does not have a monitor plugged in and has
to be displaced every time it crashes I will not test it further but I'll be
glad to post more info on my configuration if someone wants to investigate the
problem.

Comment 3 James Antill 2008-07-28 00:32:32 EDT
 Shockingly (given this looks like a nash bug) the same happens with:

 kernel                  x86_64     2.6.25.11-97.fc9  updates            18 M

...this is my desktop machine, and so it's is easy to test any fixes on.
 Note that, for me just unplugging the USB device before I run "yum up kernel"
worked fine.
Comment 4 James Antill 2008-08-12 12:47:55 EDT
*** Bug 456823 has been marked as a duplicate of this bug. ***
Comment 5 Alexey Kuznetsov 2008-10-04 16:32:59 EDT
I analyze the problem.

Command that make crash is:
# echo nash-resolveDevice "UUID=6ec2026c-2b1b-438c-8990-d540d0c079bc" | nash

gdb + debuginfo package show this stack strace:

1002c000-1004d000 rwxp 1002c000 00:00 0          [heap]
4801c000-48022000 rw-p 4801c000 00:00 0 
bf967000-bf97c000 rw-p bffeb000 00:00 0          [stack]

Program received signal SIGABRT, Aborted.
0x0fe36d4c in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install dhcp.ppc dhcpv6.ppc e2fsprogs.ppc elfutils.ppc gcc.ppc glib2.ppc libdhcp.ppc libnl.ppc libselinux.ppc libsepol.ppc lvm2.ppc parted.ppc popt.ppc
(gdb) bt
#0  0x0fe36d4c in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0fe38ac4 in abort () at abort.c:88
#2  0x0fe7a9c4 in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#3  0x0fe85f00 in _int_malloc (av=<value optimized out>, bytes=<value optimized out>) at malloc.c:5949
#4  0x0fe87cfc in __libc_malloc (bytes=<value optimized out>) at malloc.c:3551
#5  0x0fe8bc0c in __strdup (s=<value optimized out>) at strdup.c:43
#6  0x0fa4bdec in bdevid_probe_visitor (result=Could not find the frame base for "bdevid_probe_visitor".
) at vitals.c:456
#7  0x0fcb384c in bdevid_probe_probe_cb (data=Could not find the frame base for "bdevid_probe_probe_cb".
) at probe.c:124
#8  0x0faf3fbc in g_ptr_array_foreach () from /lib/libglib-2.0.so.0
#9  0x0fcb39c0 in bdevid_probe_module_cb (key=Could not find the frame base for "bdevid_probe_module_cb".
) at probe.c:154
#10 0x0fb11e24 in g_hash_table_foreach () from /lib/libglib-2.0.so.0
#11 0x0fcb3b20 in bdevid_probe (b=Could not find the frame base for "bdevid_probe".
) at probe.c:186
#12 0x0fa4c1f0 in probe_bdevid (nc=Could not find the frame base for "probe_bdevid".
) at vitals.c:513
#13 0x0fa4c778 in nash_vitals_probe (nc=Could not find the frame base for "nash_vitals_probe".
) at vitals.c:739
#14 0x0fa46a04 in nash_dev_node_add_vitals_from_bdev (nc=Could not find the frame base for "nash_dev_node_add_vitals_from_bdev".
) at devtree.c:1017
#15 0x0fa46c1c in nash_dev_node_from_bdev (nc=Could not find the frame base for "nash_dev_node_from_bdev".
) at devtree.c:1075
#16 0x0fa44e14 in nash_dev_tree_process_bdev (nc=Could not find the frame base for "nash_dev_tree_process_bdev".
) at devtree.c:510
#17 0x0fa45244 in nash_dev_tree_add_sysfs_dir_helper (nc=Could not find the frame base for "nash_dev_tree_add_sysfs_dir_helper".
) at devtree.c:598
#18 0x0fa45468 in nash_dev_tree_add_sysfs_dir_helper (nc=Could not find the frame base for "nash_dev_tree_add_sysfs_dir_helper".
) at devtree.c:615
#19 0x0fa4515c in nash_dev_tree_add_sysfs_dir (nc=Could not find the frame base for "nash_dev_tree_add_sysfs_dir".
) at devtree.c:629
#20 0x0fa45578 in nash_dev_tree_populate_from_sysfs (nc=Could not find the frame base for "nash_dev_tree_populate_from_sysfs".
) at devtree.c:634
#21 0x0fa3e7c4 in nashBdevIterNewPoll (nc=Could not find the frame base for "nashBdevIterNewPoll".
) at block.c:330
#22 0x0fa3ed10 in block_find_fs_by_keyvalue (nc=Could not find the frame base for "block_find_fs_by_keyvalue".
) at block.c:439
#23 0x0fa3ef90 in nashFindFsByUUID (nc=Could not find the frame base for "nashFindFsByUUID".
) at block.c:478
#24 0x0fa3f184 in nashAGetPathBySpec (nc=Could not find the frame base for "nashAGetPathBySpec".
) at block.c:512
#25 0x10008bf4 in resolveDeviceCommand (cmd=0x1002ed9f "", end=0x1002ed9e "\n") at nash.c:1451
#26 0x1000ed90 in runStartup (fd=6, name=0xbf97b8a4 "nash") at nash.c:2996
#27 0x1000f564 in main (argc=1, argv=0xbf97b748) at nash.c:3135
(gdb) q
Comment 6 Alexey Kuznetsov 2008-10-04 17:24:03 EDT
crash happens in line:

    if (!(vitals->disk_device_node = strdup(priv->node->bdev->dev_path)))
        return -1;

when they try to dupe "/dev/sda" line, that is my usb device.
Comment 7 Alexey Kuznetsov 2008-10-04 18:49:55 EDT
there the patch:

diff -ru mkinitrd-6.0.52/bdevid/scsi.c mkinitrd-6.0.52.new/bdevid/scsi.c
--- mkinitrd-6.0.52/bdevid/scsi.c	2008-04-25 19:24:00.000000000 +0400
+++ mkinitrd-6.0.52.new/bdevid/scsi.c	2008-10-05 02:48:35.000000000 +0400
@@ -379,7 +379,7 @@
     if (priv->unique_id_83)
         return 0;
 
-    if (!(priv->unique_id_83 = calloc(page_83[3] + 1, sizeof (char))))
+    if (!(priv->unique_id_83 = calloc(2 * (page_83[3] + 1), sizeof (char))))
         return 1;
 
 #if 0
Comment 8 Alexey Kuznetsov 2008-10-05 03:32:21 EDT
little bit better:

diff -ru mkinitrd-6.0.52/bdevid/scsi.c mkinitrd-6.0.52.new/bdevid/scsi.c
--- mkinitrd-6.0.52/bdevid/scsi.c 2008-04-25 19:24:00.000000000 +0400
+++ mkinitrd-6.0.52.new/bdevid/scsi.c 2008-10-05 02:48:35.000000000 +0400
@@ -379,7 +379,7 @@
     if (priv->unique_id_83)
         return 0;

-    if (!(priv->unique_id_83 = calloc(page_83[3] + 1, sizeof (char))))
+    if (!(priv->unique_id_83 = calloc(2 * page_83[3] + 1, sizeof (char))))
         return 1;

 #if 0
Comment 9 Alexey Kuznetsov 2008-10-06 09:20:49 EDT
*** Bug 446431 has been marked as a duplicate of this bug. ***
Comment 10 IBM Bug Proxy 2008-10-06 10:48:23 EDT
VNC installation fail after first "Next"

1. insert fedora 9 ppc
2. press "c" to boot from cd
3. type "linux vnc"
4. "Skip"
5. F12 F12 F12
6. open vnc to server:1 click "Next"


that happens only if my external usb harddisk connected to PowerPC.


Please attach the complete error message you are seeing to this bug report.
Otherwise we will not be able to fix it.


where i can find it? i loop consoles from f1 to f5 and see no errors.


when i try to use default installation "linux" i got same problem. after i press
"next" on keyborad screen acaconda graphics installer is gone and system is
stucked i unable to press any key, (no numlock, no capslock, no consoles switch)
and no error output.

that is 100% reproducible when i connect my external hdd (usb interface). then
contain linux partition with ext3.

maybe problem in partition table of my device, because they don't have first
partition, only second:
/dev/sda
/dev/sda2

any suggestions how i can get error report?



*** This bug has been marked as a duplicate of 446453 ***


that is different one


So after the keyboard screen in anaconda, the computer is completely locking?
That's where we are probing for hard drives to present the list of things that
could be upgraded.  Since the computer should never completely lock up, let's
start with reassigning this to kernel.


Oops, didn't mean to set this to NOTABUG.


I wana participate to solve that issue. For now i have successfully installed
fedora 9 on my macmini(ppc) (with temeraly disconnected my external drive for
installation time) and everything functionality correctlry. I don't have
problems with my external driver on installed system, but still easy to
reproduce that problem with fedora 9 ppc dvd disk. If you have any suggestions i
can play on my system.


Can you get the sysrq key to work? Add "sysrq_always_enabled" to the boot
options and see if sysrq works when the system locks up.


in my opinion acanonda do somthing with keyboard, probably at this momnent hey
load default keybaord driver and most keys don't work.

for graphics installer i can't use keyboard in any case.

for vnc install i can switch betwen consoles but i cant type in alt+f2 screen
(shell screen).


When i try "linux sysrq_always_enabled text" boot command, i get error message,
they explain why i cant type noting, but don't explain why error raised.

initial exited abnormaly[1/1]
sending termination siglas ....
...

you may safely reboot your system.

when i press sysrq key i got standart sysrq prompt, but unable to type anything.


I get the same issue on a (POWER5) P-510 LPAR.  Unfortunately I can't find any
kind of error message as it's a text console.  It crashes whether I use VNC or
the textmode install.

looks similar to bug 440661 (booth bugs related to external usb devices)


*** This bug has been marked as a duplicate of 440661 ***
Comment 11 Peter Jones 2008-10-09 16:18:02 EDT
(In reply to comment #7)
> there the patch:
> 
> diff -ru mkinitrd-6.0.52/bdevid/scsi.c mkinitrd-6.0.52.new/bdevid/scsi.c
> --- mkinitrd-6.0.52/bdevid/scsi.c 2008-04-25 19:24:00.000000000 +0400
> +++ mkinitrd-6.0.52.new/bdevid/scsi.c 2008-10-05 02:48:35.000000000 +0400
> @@ -379,7 +379,7 @@
>      if (priv->unique_id_83)
>          return 0;
> 
> -    if (!(priv->unique_id_83 = calloc(page_83[3] + 1, sizeof (char))))
> +    if (!(priv->unique_id_83 = calloc(2 * (page_83[3] + 1), sizeof (char))))
>          return 1;
> 
>  #if 0

This should be fixed in mkinitrd-6.0.66-1.
Comment 12 Alexey Kuznetsov 2008-10-21 05:21:41 EDT
peoples still get hurt:

http://forums.fedoraforum.org/showthread.php?t=201990

request for fedora 9 stable!
Comment 13 Alexey Kuznetsov 2008-10-26 13:33:39 EDT
critical issue example with those bug:

http://forums.fedoraforum.org/showthread.php?p=1101654
Comment 14 IBM Bug Proxy 2008-11-04 02:00:30 EST
Adding Pavan to cc list.
Pavan, please see the last few comments & confirm whether this bug is fixed or not.

Thanks!
Comment 15 IBM Bug Proxy 2008-11-13 06:10:31 EST
(In reply to comment #12)
Could not get resource(external usb harddisk) to test this bug.

Thanks
Pavan
Comment 16 Alexey Kuznetsov 2008-11-13 06:38:34 EST
Excuse me but problem persist here for 6 month...

I can explain how bug works:

segfault happens in file bdevid/scsi.c there the code:

static int check_fill_0x83_prespc3(unsigned char *page_83, 
    const struct scsi_id_search_values *id_search, struct scsi_probe_priv *priv)
{
    int i, j;
    
    if (priv->unique_id_83)
        return 0;

    if (!(priv->unique_id_83 = calloc(page_83[3] + 1, sizeof (char))))
        return 1;

#if 0
    priv->unique_id_83[0] = hex_str[id_search->id_type];
#endif
    for (j = 0, i = 0; i < page_83[3]; ++i) {
        if (page_83[4+i] != 0x20) {
            priv->unique_id_83[j++] = hex_str[(page_83[4+i] & 0xf0) >> 4];
            priv->unique_id_83[j++] = hex_str[ page_83[4+i] & 0x0f];
        }
    }
    for (j = 0, i = 0; priv->unique_id_83[j]; j++) {
        if (priv->unique_id_83[j] != ' ')
            priv->unique_id_83[i++] = priv->unique_id_83[j];
    };
    priv->unique_id_83[i] = '\0';
    priv->unique_id_83_len = strlen(priv->unique_id_83);
    if (priv->unique_id_83_len > 1)
        return 0;
    
    free(priv->unique_id_83);
    priv->unique_id_83 = NULL;
    priv->unique_id_83_len = 0;
    return 1;
}


segfault happens in line:
priv->unique_id_83[j++] = hex_str[(page_83[4+i] & 0xf0) >> 4];

as you can see for cycle works for page_83[3] iterations, but next two lines increase j iterator by 2:
            priv->unique_id_83[j++] = hex_str[(page_83[4+i] & 0xf0) >> 4];
            priv->unique_id_83[j++] = hex_str[ page_83[4+i] & 0x0f];

and that is logically correct to allocate page_83[3]*2 amount of memory for priv->unique_id_83 array.
Comment 17 Paul "KK4DUY" Bransford 2008-11-20 13:48:20 EST
(In reply to comment #15)
> (In reply to comment #12)
> Could not get resource(external usb harddisk) to test this bug.
> 
> Thanks
> Pavan

I can confirm that it's correlated to external USB hard drives. If I disconnect my drive, kernel upgrades run fine. If my drive is connected (not necessarily mounted) nash hangs/dies.
Comment 18 Bug Zapper 2008-11-26 05:24:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Alexey Kuznetsov 2008-11-26 05:29:08 EST
same for feodra 9 please update
Comment 20 Jon Stanley 2008-11-26 12:37:33 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!
Comment 21 IBM Bug Proxy 2008-12-02 03:40:52 EST
Tested it in Fedora 10 on power 6 machine, didn't got any error. Here is the process I followed

1. Connected USB pen drive
2. Booted through DVD drive containing F10

and installation didn't stuck at any point.

Thanks
Pavan
Comment 22 Alexey Kuznetsov 2008-12-02 03:46:08 EST
Yes that bug fixed for F10, but no body care about F9

Note You need to log in before you can comment on or make changes to this bug.